Name:           ax25-tools
Version:        0.0.10rc3
Release:        4
Summary:        Non-GUI tools used to configure an AX.25 enabled computer

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.linux-ax25.org/
Source0:        http://www.linux-ax25.org/pub/%{name}/%{name}-0.0.10-rc3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-0.0.10-rc3-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libax25-devel
BuildRequires:	libXext-devel, libX11-devel, libXi-devel, fltk-devel

%description
ax25-tools is a collection of tools that are used to configure an ax.25 enabled
computer. They will configure interfaces and assign callsigns to ports as well
as Net/ROM and ROSE configuration.  This package only contains the command
line programs; the GUI programs are contained in ax25-tools-x package.

 * m6pack - handle multiple 6pack TNCs on a single interface
 * ax25d - general purpose AX.25, NET/ROM and Rose daemon
 * axctl - configure/Kill running AX.25 connections
 * axparms - configure AX.25 interfaces
 * axspawn - allow automatic login to a Linux system
 * beacon - transmit periodic messages on an AX.25 port
 * bpqparms - configure BPQ ethernet devices
 * mheardd - display AX.25 calls recently heard
 * rxecho - transparently route AX.25 packets between ports
 * mheard - collect information about packet activity
 * dmascc_cfg - configure dmascc devices
 * sethdlc - get/set Linux HDLC packet radio modem driver port information
 * smmixer - get/set Linux soundcard packet radio modem driver mixer
 * kissattach - Attach a KISS or 6PACK interface
 * kissnetd - create a virtual network
 * kissparms - configure KISS TNCs
 * mkiss - attach multiple KISS interfaces
 * net2kiss - convert a network AX.25 driver to a KISS stream on a pty
 * netromd - send and receive NET/ROM routing messages
 * nodesave - saves NET/ROM routing information
 * nrattach - start a NET/ROM interface
 * nrparms - configure a NET/ROM interface
 * nrsdrv - KISS to NET/ROM serial converter
 * rsattach - start a ROSE interface
 * rsdwnlnk - user exit from the ROSE network
 * rsmemsiz - monitor the ROSE subsystem
 * rsusers.sh - monitor AX.25, NET/ROM and ROSE users
 * rsparms - configure a ROSE interface
 * rsuplnk - User entry into the ROSE network
 * rip98d - RIP98 routing daemon
 * ttylinkd - TTYlink daemon for AX.25, NET/ROM, ROSE and IP
 * ax25_call - Make an AX.25 connection
 * netrom_call - Make a NET/ROM connection
 * rose_call - Make a ROSE connection
 * tcp_call - Make a TCP connection
 * yamcfg - configure a YAM interface

%package x

Summary:	Tools used to configure an AX.25 enabled computer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description x
ax25-tools is a collection of tools that are used to configure an ax.25 enabled
computer.  This package contains the GUI programs to configure Baycom modem
and sound modem.

 * smdiag - Linux soundcard packet radio modem driver diagnostics utility
 * xfhdlcchpar - kernel HDLC radio modem driver channel parameter utility
 * xfhdlcst - kernel HDLC radio modem driver status display utility
 * xfsmdiag - kernel soundcard radio modem driver diagnostics utility
 * xfsmmixer - kernel soundcard radio modem driver mixer utility

%prep
%setup -q -n %{name}-0.0.10-rc3

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%doc yamdrv/README.yamdrv user_call/README.user_call tcpip/ttylinkd.README dmascc/README.dmascc
%{_bindir}/axgetput
%{_bindir}/bget
%{_bindir}/bput
%{_bindir}/mheard
%{_bindir}/sethdlc
%{_bindir}/smmixer
%{_sbindir}/ax25_call
%{_sbindir}/ax25d
%{_sbindir}/axctl
%{_sbindir}/axparms
%{_sbindir}/axspawn
%{_sbindir}/beacon
%{_sbindir}/bpqparms
%{_sbindir}/dmascc_cfg
%{_sbindir}/kissattach
%{_sbindir}/kissnetd
%{_sbindir}/kissparms
%{_sbindir}/m6pack
%{_sbindir}/mcs2h
%{_sbindir}/mheardd
%{_sbindir}/mkiss
%{_sbindir}/net2kiss
%{_sbindir}/netrom_call
%{_sbindir}/netromd
%{_sbindir}/nodesave
%{_sbindir}/nrattach
%{_sbindir}/nrparms
%{_sbindir}/nrsdrv
%{_sbindir}/rip98d
%{_sbindir}/rose_call
%{_sbindir}/rsattach
%{_sbindir}/rsdwnlnk
%{_sbindir}/rsmemsiz
%{_sbindir}/rsparms
%{_sbindir}/rsuplnk
%{_sbindir}/rsusers.sh
%{_sbindir}/rxecho
%{_sbindir}/spattach
%{_sbindir}/tcp_call
%{_sbindir}/ttylinkd
%{_sbindir}/yamcfg
%{_mandir}/man1/*
%{_mandir}/man4/*
%{_mandir}/man5/*
%{_mandir}/man8/ax25_call.8.gz
%{_mandir}/man8/ax25d.8.gz
%{_mandir}/man8/axctl.8.gz
%{_mandir}/man8/axparms.8.gz
%{_mandir}/man8/axspawn.8.gz
%{_mandir}/man8/beacon.8.gz
%{_mandir}/man8/bpqparms.8.gz
%{_mandir}/man8/kissattach.8.gz
%{_mandir}/man8/kissnetd.8.gz
%{_mandir}/man8/kissparms.8.gz
%{_mandir}/man8/m6pack.8.gz
%{_mandir}/man8/mheardd.8.gz
%{_mandir}/man8/mkiss.8.gz
%{_mandir}/man8/net2kiss.8.gz
%{_mandir}/man8/netrom_call.8.gz
%{_mandir}/man8/netromd.8.gz
%{_mandir}/man8/nodesave.8.gz
%{_mandir}/man8/nrattach.8.gz
%{_mandir}/man8/nrparms.8.gz
%{_mandir}/man8/nrsdrv.8.gz
%{_mandir}/man8/rip98d.8.gz
%{_mandir}/man8/rose_call.8.gz
%{_mandir}/man8/rsattach.8.gz
%{_mandir}/man8/rsdwnlnk.8.gz
%{_mandir}/man8/rsparms.8.gz
%{_mandir}/man8/rsuplnk.8.gz
%{_mandir}/man8/rxecho.8.gz
%{_mandir}/man8/sethdlc.8.gz
%{_mandir}/man8/smmixer.8.gz
%{_mandir}/man8/spattach.8.gz
%{_mandir}/man8/tcp_call.8.gz
%{_mandir}/man8/ttylinkd.8.gz
%{_mandir}/man9/baycom.9.gz
%{_mandir}/man9/hdlcdrv.9.gz
%{_mandir}/man9/soundmodem.9.gz

%files x
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/smdiag
%{_sbindir}/xfhdlcchpar
%{_sbindir}/xfhdlcst
%{_sbindir}/xfsmdiag
%{_sbindir}/xfsmmixer
%{_mandir}/man8/smdiag.8.gz

%changelog
* Sat Jun 25 2011 Ralf Baechle <ralf@linux-mips.org>
- Add BuildRequires to libax25-devel, libXext-devel and libX11-devel.
- Move smdiag, xfhdlcchpar, xfhdlcst, xfsmdiag and xfsmmixer into a separate
  package.
- Bump Release to 4.

* Fri Jun 24 2011 Ralf Baechle <ralf@linux-mips.org>
- Add BuildRequires to libXi-devel and fltk-devel
- Bump Release to 2.

* Sat Jun 27 2009 Ralf Baechle <ralf@linux-mips.org>
- Initial version
